Skip to content
vocapable.Docs

The call's CRM/helpdesk records (screen pop) and call-log state

GET
/v1/mobile/workspace/calls/{call_id}/cti
curl --request GET \
--url https://api.vocapable.com/v1/mobile/workspace/calls/example/cti \
--header 'Authorization: Bearer <token>'
call_id
required
Call Id
string

Successful Response

Media typeapplication/json
CcCtiCallView

The call’s CRM/helpdesk records: one row per connected CTI tool.

object
call_id
required
Call Id
string
matches
required
Matches
Array<object>
CcCtiMatch
object
installation_id
required
Installation Id
string
provider
required
Provider
string
Allowed values: salesforce hubspot zendesk
record_type
required
Any of:
string
record_id
required
Any of:
string
label
required
Any of:
string
url
required
Any of:
string
match_kind
required
Any of:
string
Allowed values: phone email click_to_dial
match_count
required
Match Count
integer
popped_via
required
Any of:
string
Allowed values: server client link
pop_latency_ms
required
Any of:
integer
log_state
required
Log State
string
Allowed values: pending queued logged failed skipped
log_error
required
Any of:
string
logged_at
required
Any of:
string format: date-time
screen_pop_budget_ms
required
Screen Pop Budget Ms
integer
Example
{
"matches": [
{
"provider": "salesforce",
"match_kind": "phone",
"popped_via": "server",
"log_state": "pending"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}